<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 1.0.10
 * @author davidhs
 * @copyright 2010-2013 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Go through the sub buttons if there are any.
function mwllSetupMenuContextSubButtons($button)
{
	if (!empty($button['sub_buttons']))
		foreach ($button['sub_buttons'] as $key => $subbutton)
		{
			if (empty($subbutton['show']))
				unset($button['sub_buttons'][$key]);
			else
				$button['sub_buttons'][$key] = mwllSetupMenuContextSubButtons($subbutton);
		}
	return $button;
}

?>